Properties Methods Events Direct Link

# Class Ext.data.DataReader

Package: | Ext.data
Defined In: | DataReader.js
Class: | DataReader
Subclasses: | ArrayReader, JsonReader, XmlReader
Extends: | Object

Abstract base class for reading structured data from a data source and converting it into an object containing Ext.data.Record objects and metadata for use by an Ext.data.Store. This class is intended to be extended and should not be created directly. For existing implementations, see Ext.data.ArrayReader, Ext.data.JsonReader and Ext.data.XmlReader.

## Public Properties

Property | Defined By
--- | ---
| meta : Mixed This DataReader's configured metadata as passed to the constructor. | DataReader

## Public Methods

Method | Defined By
--- | ---

DataReader( `Object meta`, `Object recordType` )
Create a new DataReader
Create a new DataReader
Parameters:

- `meta` : Object
  Metadata configuration options (implementation-specific)
- `recordType` : Object
  Either an Array of field definition objects as specified in Ext.data.Record.create, or an Ext.data.Record object created using Ext.data.Record.create.

Returns:

- ``

DataReader

## Public Events

This class has no public events.